import ch.qos.logback.classic.filter.ThresholdFilter

statusListener(OnConsoleStatusListener)

appender("FILE", FileAppender) {
  file = "akka.log"
  append = false
  filter(ThresholdFilter) {
	level = DEBUG
  }
  encoder(PatternLayoutEncoder) {
    pattern = "%msg%n"
  }
}

appender("CONSOLE", ConsoleAppender) {
  encoder(PatternLayoutEncoder) {
    pattern = "%d{HH:mm:ss.SSS} %level %logger - %msg%n"
  }
}

root DEBUG, ["CONSOLE"]

logger "experiment.fse15", TRACE
logger "experiment.fse15.tcpreader", TRACE
logger "experiment.fse15.tcpreconstruction", TRACE
logger "experiment.fse15.tcptracereduction", TRACE
